# Valtra Tractors game installer

!define UNINSTKEY "Software\Microsoft\Windows\CurrentVersion\Uninstall\tractor"

!include "MUI.nsh"

Name "Valtra Tractors"
BrandingText "Martin && Markus Storsj"
OutFile "installer-modern.exe"
InstallDir "$PROGRAMFILES\Valtra Tractors\"

!define MUI_HEADERIMAGE
!insertmacro MUI_PAGE_WELCOME
!insertmacro MUI_PAGE_LICENSE "COPYING"
!insertmacro MUI_PAGE_COMPONENTS
Var SM_FOLDER
!define MUI_STARTMENUPAGE_REGISTRY_ROOT HKCU
!define MUI_STARTMENUPAGE_REGISTRY_KEY ${UNINSTKEY}
!define MUI_STARTMENUPAGE_REGISTRY_VALUENAME "Start Menu Folder"
!insertmacro MUI_PAGE_STARTMENU startmenu $SM_FOLDER
!insertmacro MUI_PAGE_DIRECTORY
!insertmacro MUI_PAGE_INSTFILES
!insertmacro MUI_PAGE_FINISH

!insertmacro MUI_UNPAGE_WELCOME
!insertmacro MUI_UNPAGE_CONFIRM
!insertmacro MUI_UNPAGE_INSTFILES
!insertmacro MUI_UNPAGE_FINISH

!insertmacro MUI_LANGUAGE "English"


Section "Game Data" data
	SectionIn RO
	SetOutPath $INSTDIR
	File tractor.exe
	File *.dll
	File /oname=COPYING.TXT COPYING
	File /oname=COPYING-BITSTREAM.TXT COPYING.BITSTREAM
	File README-SDL.txt
	File README.txt
#	File *.png
#	File *.ttf
	!insertmacro MUI_STARTMENU_WRITE_BEGIN startmenu
		CreateDirectory "$SMPROGRAMS\$SM_FOLDER"
		CreateShortCut "$SMPROGRAMS\$SM_FOLDER\Uninstall.lnk" "$INSTDIR\uninst.exe"
		CreateShortCut "$SMPROGRAMS\$SM_FOLDER\Valtra Tractors.lnk" "$INSTDIR\tractor.exe"
		CreateShortCut "$SMPROGRAMS\$SM_FOLDER\Read Me.lnk" "$INSTDIR\README.exe"
	!insertmacro MUI_STARTMENU_WRITE_END
SectionEnd

Section "un.Start Menu Shortcuts"
!insertmacro MUI_STARTMENU_GETFOLDER startmenu $R0
	RMDir /r "$SMPROGRAMS\$R0"
SectionEnd

Section /o "Desktop Icon" icon
	CreateShortCut "$DESKTOP\Valtra Tractors.lnk" "$INSTDIR\tractor.exe"
SectionEnd
Section "un.Desktop Icon"
	Delete "$DESKTOP\Valtra Tractors.lnk"
SectionEnd

Section "-uninstaller"
	WriteUninstaller uninst.exe
	WriteRegStr HKCU ${UNINSTKEY} "DisplayName" "Valtra Tractors"
	WriteRegStr HKCU ${UNINSTKEY} "UninstallString" "$\"$INSTDIR\uninst.exe$\""
	WriteRegStr HKCU ${UNINSTKEY} "DisplayIcon" "$\"$INSTDIR\tractor.exe$\""
	WriteRegDWORD HKCU ${UNINSTKEY} "NoModify" 1
	WriteRegDWORD HKCU ${UNINSTKEY} "NoRepair" 1
	WriteRegStr HKCU ${UNINSTKEY} "InstallLocation" "$\"$INSTDIR$\""
SectionEnd

#Section /o "Source Code" code
#	SetOutPath $INSTDIR\source
#	File *.cpp
#	File *.h
#	File *.rc
#	File *.ico
#	File Makefile*
#	File *.nsi
#	File *.png
#	File *.ttf
#	File COPYING
#SectionEnd

LangString DESC_data ${LANG_ENGLISH} "Game Data"
LangString DESC_icon ${LANG_ENGLISH} "Desktop Icon"
#LangString DESC_code ${LANG_ENGLISH} "Source Code"

!insertmacro MUI_FUNCTION_DESCRIPTION_BEGIN
	!insertmacro MUI_DESCRIPTION_TEXT ${data} $(DESC_data)
	!insertmacro MUI_DESCRIPTION_TEXT ${icon} $(DESC_icon)
#	!insertmacro MUI_DESCRIPTION_TEXT ${code} $(DESC_code)
!insertmacro MUI_FUNCTION_DESCRIPTION_END

Section "Uninstall"
	Delete $INSTDIR\uninst.exe
	Delete $INSTDIR\tractor.exe
	Delete $INSTDIR\*.png
	Delete $INSTDIR\*.ttf
	Delete $INSTDIR\*.dll
	RMDir /r $INSTDIR
	DeleteRegKey HKCU ${UNINSTKEY}
SectionEnd


